Subject: bug#33524: 27.0.50; Suspicious code in flymake-proc around temporary directories

From: Philipp Stephani <[email-masked]>
Date: Mon, 17 Dec 2018 21:57:36 +0100

Am Mo., 17. Dez. 2018 um 11:58 Uhr schrieb Michael Albinus
<[email-masked]>:
>
> Michael Albinus <[email-masked]> writes:
>
> Hi,
>
> >> No, it looks great, for all I know... Which is very little :-)
> >>
> >> Flymake-proc is the "legacy" backend that I packed up in a file. It
> >> probably has many such bugs.
> >
> > Thanks for the reply. If Philipp confirms the solution, I'll push it to
> > master.
>
> I've pushed the patch to the master branch, closing the bug.

Confirmed that the issue no longer happens on master, thanks.

1. Would it make sense to backport this patch onto the release branch?
The bug is annoying, and the fix seems trivial.
2. There's more suspicious code in the legacy backend that assumes
that magic or quoted filenames don't exist, is there a long-term plan
to tackle this? ("Deleting the legacy backend" might be a viable
long-term plan.)